<!DOCTYPE>
<html>
    <head>
        <button onclick="f()">opener</button>
        <script>
            var k;
            function f()
                {
                    win = window.open("");
                    win.document.write("myWindow");
                    //k=window.parent.location;
                    console.log(k);
                    // function Previous()
                    // { 
                    //     window.history.back() 
                    // } 
                }        
        </script>
    </head>
    <body>
        <input type="button" value="GoBack" onclick=window.history.go()> <!--wont work-->
    </body>
</html>